#
# spec file for package nvidia-container-runtime
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define project github.com/NVIDIA/nvidia-container-runtime
Name:           nvidia-container-runtime
Version:        3.5.0
Release:        150200.5.6.1
Summary:        NVIDIA Container Runtime
License:        Apache-2.0
Group:          Development/Tools/Other
URL:            https://github.com/NVIDIA/nvidia-container-runtime
Source0:        nvidia-container-runtime-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  libcontainers-common
BuildRequires:  nvidia-container-toolkit
BuildRequires:  go-go-md2man
BuildRequires:  golang(API) >= 1.16
BuildRequires:  golang-packaging
Requires:       libnvidia-container-tools
%{go_nostrip}
%{go_provides}

%description
A modified version of runc adding a custom pre-start hook to all containers

%prep
%setup -q -a1

%build
%{goprep} github.com/NVIDIA/nvidia-container-runtime
export GOPATH=$HOME/go
mkdir -pv $HOME/go/src/%{project}
rm -rf $HOME/go/src/%{project}/*
cp -avr * $HOME/go/src/%{project}
cd $HOME/go/src/%{project}

go build -buildmode=pie -v -ldflags "-s -w" \
    -o bin/nvidia-container-runtime \
    ./cmd/nvidia-container-runtime

%install
install -D -m 0755 $HOME/go/src/%{project}/bin/nvidia-container-runtime %{buildroot}/%{_bindir}/nvidia-container-runtime

%files
%license LICENSE
%{_bindir}/nvidia-container-runtime

%changelog
* Sun Mar 23 2025 meissner@suse.com
- build with PIE, build against current GO. (bsc#1239955)
* Wed Jun 30 2021 mjura@suse.com
- Update to version 3.5.0:
  * Add artifactory publish step
  * Bump to version 3.5.0
  * Update dependent nvidia-container-toolkit version to 1.5.0
  * Update gitignore and dockerignore
  * Ensure binary is built on make build target
  * Add unit tests for utility functions
  * Use os.ReadFile instead of ioutil.ReadFile
  * Refactor container runtime to use new packages
  * Add a Runtime internface to the oci pacakge
  * Add oci package to encapsulate reading, writing, and modyfying oci spec
* Mon Jun 28 2021 mjura@suse.com
- Initial build commit
